Bug 11994 - kernel bug, sendmail problem
kernel bug, sendmail problem
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
http://www.sendmail.org/sendmail.8.10...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-08 16:16 EDT by clau
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-15 15:09:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description clau 2000-06-08 16:16:27 EDT
There is a bug in the Linux kernel capability model for versions
through 2.2.15 that allows local users to get root.  Sendmail is
one of the programs that can be attacked this way.  This problem
may occur in other capabilities-based kernels.

(See http://www.sendmail.org/sendmail.8.10.1.LINUX-SECURITY.txt )

I wonder, when are you going to launch a new kernel RPM with the latest 
kernel and another RPM with sendmail 8.10.2  ? Sendmail.org highly 
recommends to upgrade to 8.10.2.

Nowadays I cannot upgrade to sendmail 8.10.2 (to filter spammers more 
efficiently) without actually downloading, compiling and installing the 
latest kernel, which is for me and for the average user with an average 
internet connection, overwhelming for the least.

If I can contribute with you in any way, let me know.
Many thanks

Claudio Pacciarini
clau@basystem.com.ar
Comment 1 redbugs 2000-06-15 15:09:48 EDT
I hope that the new kernel .rpm release will include the latest AIC driver and 
the floating-point context error fix?  Thanx, Doug!
Comment 2 Michael K. Johnson 2000-07-31 17:28:13 EDT
http://www.redhat.com/support/errata/RHSA-2000-037-05.html

Note You need to log in before you can comment on or make changes to this bug.